package platform

type Platform struct {
	Name          string
	URL           string
	LogoURL       string
	StyleSheetURL string
	StatusURL     string
	CodeAsName    string
	GitHubName    string
	MatomoID      int

	SiteDir string
}

var (
	WriteAs = Platform{
		Name:       "Write.as",
		URL:        "https://write.as",
		LogoURL:    "https://write.as/img/w-sq.svg",
		StatusURL:  "https://status.write.as",
		CodeAsName: "writeas",
		GitHubName: "writeas",
		MatomoID:   7,
		SiteDir:    "writeas",
	}
	SnapAs = Platform{
		Name:          "Snap.as",
		URL:           "https://snap.as",
		LogoURL:       "https://snap.as/img/logo-mark-sm.png",
		StyleSheetURL: "https://v2.snap.as/css/snap.css",
		StatusURL:     "https://status.snap.as",
		CodeAsName:    "snapas",
		GitHubName:    "snapas",
		MatomoID:      20,
		SiteDir:       "snapas",
	}
)
